﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DockManager;
using Infragistics.Windows;

namespace XamDockManagerDisableHeaderCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        Window2 main2 = new Window2();
        public MainWindow()
        {
            InitializeComponent();
            UC1.UCButton1.Click += new RoutedEventHandler(Button1_Click);
            main2.Show();
        }

        //THIS IS THE USER CONTROL BUTTON
        void Button1_Click(object sender, RoutedEventArgs e)
        {
            //DISABLE EVERY HEADER OF PANES IN MAINWINDOW
            foreach (SplitPane SP in xamDockManager1.Panes)
            {
                foreach (ContentPane CP in SP.Panes)
                {
                    PaneHeaderPresenter PHP1 = Utilities.GetDescendantFromType((DependencyObject)CP, typeof(PaneHeaderPresenter), false) as PaneHeaderPresenter;
                    PHP1.MaxHeight = 0;
                    PHP1.MinHeight = 0;
                }
            }
            //DISABLE EVERY HEADER OF PANES IN WINDOW2
            foreach (SplitPane SP in main2.OtherDockManager.Panes)
            {
                foreach (ContentPane CP in SP.Panes)
                {
                    PaneHeaderPresenter PHP1 = Utilities.GetDescendantFromType((DependencyObject)CP, typeof(PaneHeaderPresenter), false) as PaneHeaderPresenter;
                    PHP1.MaxHeight = 0;
                    PHP1.MinHeight = 0;
                }
            }
        }       

        private void CheckBox1_Checked(object sender, RoutedEventArgs e)
        {
            foreach (SplitPane SP in xamDockManager1.Panes)
            {
                foreach (ContentPane CP in SP.Panes)
                {
                    PaneHeaderPresenter PHP1 = Utilities.GetDescendantFromType((DependencyObject)CP, typeof(PaneHeaderPresenter), false) as PaneHeaderPresenter;
                    PHP1.MaxHeight = 0;
                    PHP1.MinHeight = 0;
                }                
            }
        }

        private void CheckBox1_Unchecked(object sender, RoutedEventArgs e)
        {
            foreach (SplitPane SP in xamDockManager1.Panes)
            {
                foreach (ContentPane CP in SP.Panes)
                {
                    PaneHeaderPresenter PHP2 = Utilities.GetDescendantFromType((DependencyObject)CP, typeof(PaneHeaderPresenter), false) as PaneHeaderPresenter;
                    PHP2.MaxHeight = 100000;
                    PHP2.MinHeight = 0;
                }
            }
        }

        private void PaneAddButton_Click(object sender, RoutedEventArgs e)
        {
            ContentPane CP = new ContentPane();
            CP.Header = "Added Pane";
            xamDockManager1.Panes[0].Panes.Add(CP);
        }   
    }
}
